package com.qmth.jkserver.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.jkserver.model.ExamPlan;

public class ExamRoomMonitorInfoDto {
	
	private ExamPlan examPlan;
	
	private String placeCode;
	
	private String placeName;
	
	private String roomCode;
	
	private String roomName;
	
	private String courseCode;
	
	private String courseName;

    @JsonSerialize(using = ToStringSerializer.class)
	private Long ykCount;
	
	private Integer loginCount;
	
	private Integer contactErrorCount;

	/**
	 * @return the ykCount
	 */
	public Long getYkCount() {
		return ykCount;
	}

	/**
	 * @param ykCount the ykCount to set
	 */
	public void setYkCount(Long ykCount) {
		this.ykCount = ykCount;
	}

	/**
	 * @return the loginCount
	 */
	public Integer getLoginCount() {
		return loginCount;
	}

	/**
	 * @param loginCount the loginCount to set
	 */
	public void setLoginCount(Integer loginCount) {
		this.loginCount = loginCount;
	}

	/**
	 * @return the contactErrorCount
	 */
	public Integer getContactErrorCount() {
		return contactErrorCount;
	}

	/**
	 * @param contactErrorCount the contactErrorCount to set
	 */
	public void setContactErrorCount(Integer contactErrorCount) {
		this.contactErrorCount = contactErrorCount;
	}

	/**
	 * @return the courseCode
	 */
	public String getCourseCode() {
		return courseCode;
	}

	/**
	 * @param courseCode the courseCode to set
	 */
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	/**
	 * @return the courseName
	 */
	public String getCourseName() {
		return courseName;
	}

	/**
	 * @param courseName the courseName to set
	 */
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	/**
	 * @return the examPlan
	 */
	public ExamPlan getExamPlan() {
		return examPlan;
	}

	/**
	 * @param examPlan the examPlan to set
	 */
	public void setExamPlan(ExamPlan examPlan) {
		this.examPlan = examPlan;
	}

	/**
	 * @return the placeCode
	 */
	public String getPlaceCode() {
		return placeCode;
	}

	/**
	 * @param placeCode the placeCode to set
	 */
	public void setPlaceCode(String placeCode) {
		this.placeCode = placeCode;
	}

	/**
	 * @return the placeName
	 */
	public String getPlaceName() {
		return placeName;
	}

	/**
	 * @param placeName the placeName to set
	 */
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}

	/**
	 * @return the roomCode
	 */
	public String getRoomCode() {
		return roomCode;
	}

	/**
	 * @param roomCode the roomCode to set
	 */
	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	/**
	 * @return the roomName
	 */
	public String getRoomName() {
		return roomName;
	}

	/**
	 * @param roomName the roomName to set
	 */
	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}
}
